%define name		abiword
%define version		2.0.0

%define release alt2
%define build_cvs 0
%define build_cvs_plugins 0

Packager: AEN <aen@altlinux.ru>

Name: %name
Summary: Lean and fast full-featured word processor
Version: %version
Release: %release
Group: Office
License: GPL
Url: http://www.abisource.com/
%if %build_cvs
Source: http://download.abisource.com/releases/%version/src/lf/abiword-%{version}cvs.tar.bz2
%else
Source: http://download.abisource.com/releases/%version/src/lf/abiword-%{version}.tar.bz2
Source1: http://prdownloads.sourceforge.net/abiword/abiword-plugins-%{version}.tar.bz2
%endif
Source6: abiword-48.png.bz2
Source7: abiword-32.png.bz2
Source8: abiword-16.png.bz2
Source10: abiword.keys
Source11: abiword.mime

AutoReq: yes, noshell
Obsoletes: abisuite, abisuite-koi8, abisuite-cp1251, abisuite-iso8859-8
# Automatically added by buildreq on Fri Sep 19 2003
BuildRequires: ORBit2-devel XFree86-devel aspell bzlib-devel esound-devel fontconfig-devel freetype2-devel gcc-c++ glib-devel glib2-devel glibc-devel-static gnome-libs-devel gnome-vfs2-devel libGConf2-devel libalsa-devel libart_lgpl-devel libaspell-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexpat-devel libfribidi-devel libgail-devel libgda2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomedb-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgsf-devel libgtk+2-devel libjpeg-devel libnautilus-devel libncurses-devel libots-devel libpango-devel libpng-devel libpopt-devel libreadline-devel librsvg2-devel libstdc++-devel libwmf-devel libwpd-devel libxml2-devel libxslt-devel pkgconfig zlib-devel

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.
(http://www.abisource.com)
It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images

%prep
%if %build_cvs
%setup -q -n%name
%else
%setup -q -a 1
%endif

rm -rf libpng
rm -rf expat
rm -rf fribidi

%build
cd abi
%if %build_cvs
./autogen.sh --prefix=%prefix
%configure --enable-gnome
%else
%configure --enable-gnome
%endif
cd ../wv
./autogen.sh
%configure --enable-static=yes
make
ln -s .libs/libwv.a
cd ../abi
%make_build
cd ../abiword-plugins
%if %build_cvs_plugins
./nextgen.sh
%configure --disable-magick --enable-AbiGdkPixbuf
%else
#configure --disable-magick --enable-AbiGdkPixbuf 
%configure --disable-magick --enable-ots --enable-AbiGdkPixbuf 
sed 's/^predep_objects=.*/predep_objects=\"\"/' < libtool > libtool.foo
sed 's/^postdep_objects=.*/postdep_objects=\"\"/' < libtool.foo > libtool
%endif
make

%install
cd abi
%makeinstall
cd ../abiword-plugins
%makeinstall DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_datadir/mime-info
install -m 644 %SOURCE10 %SOURCE11  $RPM_BUILD_ROOT%_datadir/mime-info

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT%_liconsdir
mkdir -p $RPM_BUILD_ROOT%_iconsdir
mkdir -p $RPM_BUILD_ROOT%_miconsdir
bzcat %SOURCE6 > $RPM_BUILD_ROOT%_liconsdir/abiword.png
bzcat %SOURCE7 > $RPM_BUILD_ROOT%_iconsdir/abiword.png
bzcat %SOURCE8 > $RPM_BUILD_ROOT%_miconsdir/abiword.png

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/abiword" section="Office/Wordprocessors" \
icon="abiword.png" needs="x11" title="AbiWord" \
longtitle="RTF and Microsoft Word (up to 97) document editor"
EOF

#Gnome desktop file
mkdir -p $RPM_BUILD_ROOT%_datadir/applications/
%if %build_cvs
install -m 644 $RPM_BUILD_DIR/%name/abi/src/pkg/linux/rpm/data/%name.desktop $RPM_BUILD_ROOT%_datadir/applications/
%else
install -m 644 $RPM_BUILD_DIR/%name-%version/abi/src/pkg/linux/rpm/data/%name.desktop $RPM_BUILD_ROOT%_datadir/applications/
%endif

%post
%update_menus

%postun
%clean_menus

rm -f $RPM_BUILD_ROOT%_bindir/ttf*

rm -f $RPM_BUILD_ROOT/%_libdir/AbiWord-2.0/plugins/*.la

%files
%doc abi/docs
%_bindir/AbiWord-2.0
%_bindir/abiword
%_libdir/AbiWord-2.0
%_menudir/%name
%_datadir/AbiSuite-2.0
%_datadir/applications/*
%_datadir/mime-info/*
%_iconsdir/%{name}*
%_liconsdir/%{name}*
%_miconsdir/%{name}*

%changelog
* Fri Sep 19 2003 AEN <aen@altlinux.ru> 2.0.0-alt2
- build with libots & libwpd
- #3019 fixed

* Wed Sep 17 2003 AEN <aen@altlinux.ru> 2.0.0-alt1
- release

* Fri Sep 12 2003 AEN <aen@altlinux.ru> 1.99.6-alt2
- buildreq fixed

* Tue Sep 02 2003 AEN <aen@altlinux.ru> 1.99.6-alt1
- new version (RC2)
- russian translation partially fixed

* Wed Jul 30 2003 AEN <aen@altlinux.ru> 1.99.3-alt1
- new version

* Thu Jul 10 2003 AEN <aen@altlinux.ru> 1.9.2-alt1
- new version

* Tue Jul 08 2003 AEN <aen@altlinux.ru> 1.9.1-alt1
- new gtk2/gnome2 version
- build cvs post-1.9.1 source

* Wed Sep 25 2002 AEN <aen@altlinux.ru> 1.0.3-alt1
- new version
- built w/o gnome

* Thu Jun 06 2002 AEN <aen@logic.ru> 1.0.2-alt1
- new version

* Sun Jun 02 2002 AEN <aen@logic.ru> 1.0.1-alt1
- new version

* Mon Mar 18 2002 AEN <aen@logic.ru> 0.99.3-alt1
- new version

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.9.4.1-alt6
- rebuilt with gal-0.19

* Wed Nov 22 2001 AEN <aen@logic.ru> 0.9.4.1-alt5
- print patch

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.9.4.1-alt4
- rebuild with new libgal

* Fri Oct 25 2001 AEN <aen@logic.ru> 0.9.4.1-alt3
- rebuild with new libgal

* Thu Oct 11 2001 AEN <aen@logic.ru> 0.9.4.1-alt2
- rebuilt with libpng.so.3

* Tue Oct 9 2001 AEN <aen@logic.ru> 0.9.4.1-alt1
- new version
- build w/o bidi (temporary)

* Wed Sep 05 2001 AEN <aen@logic.ru> 0.9.2-alt2
- rebuild with new libgal
* Thu Aug 16 2001 AEN <aen@logic.ru> 0.9.2-alt1
* Wed Aug 15 2001 AEN <aen@logic.ru> 0.9-alt4
- don't add  Abisource fonts to fontpath!
* Mon Aug 13 2001 AEN <aen@logic.ru> 0.9-alt3
- s/666/644/g
* Fri Aug 10 2001 AEN <aen@logic.ru> 0.9-alt2
- direct print enabled
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.9-alt1
- 0.9
* Tue Jul 17 2001 AEN <aen@logic.ru> 0.9-alt0.4
- new snapshot
- cp1251 added to encodettf

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.3
- i18n patch (belarusian, hebrew & ukrainian support)
* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.2
- ABI_USE_100_ISPELL
- use ispell american dictionary

* Wed Jul 11 2001 AEN <aen@logic.ru> 0.9-alt0.1
- snapshot 010709

* Mon Jul 9 2001 AEN <aen@logic.ru> 0.7.14-alt3
- rebuild with libgal-0.9
- new wrapper patch

* Sat Jun 9 2001 AEN <aen@logic.ru> 0.7.14-alt2
- bidi enabled

* Fri May 25 2001 AEN <aen@logic.ru> 0.7.14-alt1
- sync with MDK
- build with gnome
- unichar patch

* Tue Feb 27 2001 AEN <aen@logic.ru>
- 0.7.13

* Thu Nov 30 2000 AEN <aen@logic.ru>
- gcc296 patch
- build for 7.2RE

* Tue Oct 10 2000 AEN <aen@logic.ru>
- two small patches

* Sun Oct 8 2000 AEN <aen@logic.ru>
- New patch from hvv

* Mon Oct 2 2000 AEN <aen@logic.ru>
- build for RE with i18n patch from Vlad Harchev (hvv@hyppo.ru)

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
